GET /v2/api/prices

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • currency string
    • customPrice1 number
    • customPrice2 number
    • customPrice3 number
    • customPrice4 number
    • externalId string
    • name string
    • price number
    • vat number
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
GET /v2/api/prices
curl \
 --request GET 'https://api.maddenanalytics.com/v2/api/prices'
Response examples (200)
[
  {
    "currency": "USD",
    "customPrice1": 42.0,
    "customPrice2": 42.0,
    "customPrice3": 42.0,
    "customPrice4": 42.0,
    "externalId": "RETAIL_USD",
    "name": "Retail USD",
    "price": 42.0,
    "vat": 42.0
  }
]
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}